org.eclipse.ease.debugging.events.model

## Class BreakpointRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.model.BreakpointRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class BreakpointRequest
    extends AbstractEvent
    implements IModelRequest

### Nested Class Summary

Nested Classes
`static class` `BreakpointRequest.Mode`

### Constructor Summary

Constructors
Constructor and Description
`BreakpointRequest(BreakpointRequest.Mode mode)` Remove all breakpoints request.
`BreakpointRequest(Script script, IBreakpoint breakpoint, BreakpointRequest.Mode mode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IBreakpoint` `getBreakpoint()`
`BreakpointRequest.Mode` `getMode()`
`Script` `getScript()`
`boolean` `isRemoveAllBreakpointsRequest()`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BreakpointRequest

    public BreakpointRequest(Script script,
                             IBreakpoint breakpoint,
                             BreakpointRequest.Mode mode)

#### BreakpointRequest

    public BreakpointRequest(BreakpointRequest.Mode mode)

Remove all breakpoints request.

Parameters:
  `mode` - has to be set to Mode.REMOVE

### Method Detail

#### getScript

    public Script getScript()

#### getBreakpoint

    public IBreakpoint getBreakpoint()

#### getMode

    public BreakpointRequest.Mode getMode()

#### isRemoveAllBreakpointsRequest

    public boolean isRemoveAllBreakpointsRequest()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AbstractEvent`